import { SubscribeRequestData } from "../api.js";
import { Environment } from "../configurations/environments.js";
import { Scope } from "../configurations/scopes.js";
export interface SubscriptionsClientConfig {
    environment: Environment;
    clientId: string;
    clientSecret: string;
    scopes?: Scope[];
    customOptions?: Record<string, string>;
}
export declare class SubscriptionsClient {
    private config;
    private auth;
    private environmentConfig;
    private httpClient;
    private subscriptionsUrl;
    constructor(config: SubscriptionsClientConfig);
    subscribe(data: SubscribeRequestData): Promise<any>;
    deleteSubscription(subscriptionName: string): Promise<any>;
}
